pbsnodes(8B)

NAME
pbsnodes - pbs node manipulation

SYNOPSIS
pbsnodes [-{a|x}] [-q] [-s server] [node|:property]
pbsnodes -l [-q] [-s server] [state] [nodename|:property ...]
pbsnodes [-{c|d|o|r}] [-q] [-s server] [-n] [-N "note"] [node|:property]

DESCRIPTION
The pbsnodes command is used to mark nodes down, free or offline. It can also be used to list nodes and their state. Node information is obtained by sending a request to the PBS job server. Sets of nodes can be operated on at once by specifying a node property prefixed by a colon.
Nodes do not exist in a single state, but actually have a set of states. For example, a node can be simultaneously "busy" and "offline". The "free" state is the absence of all other states and so is never combined with other states.

In order to execute pbsnodes with other than the -a or -l options, the user must have PBS Manager or Operator privilege.

OPTIONS

-a  All attributes of a node or all nodes are listed. This is the default if no flag is given.

-x  Same as -a, but the output has an XML-like format.

-c  Clear OFFLINE from listed nodes.

-d  Print MOM diagnosis on the listed nodes. Not yet implemented. Use momctl instead.

-o  Add the OFFLINE state. This is different from being marked DOWN. OFFLINE prevents new jobs from running on the specified nodes. This gives the administrator a tool to hold a node out of service without changing anything else. The OFFLINE state will never be set or cleared automatically by pbs_server; it is purely for the manager or operator.

-p  Purge the node record from pbs_server. Not yet implemented.

-r  Reset the listed nodes by clearing OFFLINE and adding DOWN state. pbs_server will ping the node and, if they communicate correctly, free the node.

-l  List node names and their state. If no state is specified, only nodes in the DOWN, OFFLINE, or UNKNOWN states are listed. Specifying a state string acts as an output filter. Valid state strings are "free", "offline", "down", "reserve", "job-exclusive", "job-sharing", "busy", "time-shared", or "state-unknown".

-N  Specify a "note" attribute. This allows an administrator to add an arbitrary annotation to the listed nodes. To clear a note, use -N "" or -N n.

-n  Show the "note" attribute for nodes that are DOWN, OFFLINE, or UNKNOWN. This option requires -l.

-q  Supress all error messages.

-s  Specify the PBS server's hostname or IP address.

SEE ALSO
pbs_server(8B) and the PBS External Reference Specification